Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597892 - pungi-legacy lacks dep on python2-productmd
Summary: pungi-legacy lacks dep on python2-productmd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomír Sedlář
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 20:32 UTC by David Cantrell
Modified: 2018-07-20 17:41 UTC (History)
7 users (show)

Fixed In Version: pungi-4.1.25-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 17:41:36 UTC


Attachments (Terms of Use)

Description David Cantrell 2018-07-03 20:32:39 UTC
The pungi-legacy package should carry a Requires on python2-productmd.  Without this, when you try to run 'pungi', you get this:

# pungi
Traceback (most recent call last):
  File "/usr/bin/pungi", line 26, in <module>
    import pungi.gather
  File "/usr/lib/python2.7/site-packages/pungi/gather.py", line 22, in <module>
    import pungi.util
  File "/usr/lib/python2.7/site-packages/pungi/util.py", line 34, in <module>
    from productmd.common import get_major_version
ImportError: No module named productmd.common

Comment 1 Lubomír Sedlář 2018-07-04 10:18:31 UTC
I rebuilt the package with the require.

Please note that with the planned change to remove Yum from Fedora the pungi-legacy subpackage will be removed too, unless someone steps up to port the script to DNF and Python 3.
https://fedoraproject.org/wiki/Changes/Deprecate_YUM_3

Comment 2 Fedora Update System 2018-07-04 10:19:01 UTC
pungi-4.1.25-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48a5b20600

Comment 3 Fedora Update System 2018-07-04 18:22:35 UTC
pungi-4.1.25-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48a5b20600

Comment 4 Fedora Update System 2018-07-20 17:41:36 UTC
pungi-4.1.25-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.